<?php
/**
 * @package Litesta
 * @since Litesta 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<div class="entry-meta">
			<?php litesta_posted_on(); ?>
		</div>
	</header>
	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages(array('before' => '<div class="page-links">' . __('Pages:', 'litesta'), 'after' => '</div>')); ?>
	</div>
	<footer class="entry-meta">
		<?php 
			$category_list = get_the_category_list( __(', ', 'litesta'));
			$tag_list = get_the_tag_list ('', ', ');

			if (!litesta_categorized_blog()) {
				if ('' != $tag_list) {
					$meta_text = __('This entry was tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'litesta');
				} else {
					$meta_text = __('Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'litesta');
				}

			}	else {
				if ('' != $tag_list) {
					$meta_text = __('This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'litesta');
				} else {
					 $meta_text = __('This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'litesta');
				}
			}

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink(),
				the_title_attribute('echo=0')
				); 
		?>

		<?php edit_post_link(__('Edit', 'litesta'), '<span class="edit-link">', '</span>'); ?>
	</footer>
</article>