<?php
/**
 * Litesta functions and definitions
 *
 * @package Litesta
 * @since Litesta 1.0
 *
 */

if (! isset($content_width))
	$content_width = 654;

if (! function_exists('litesta_setup')):
function litesta_setup(){
	require(get_template_directory() . '/inc/template-tags.php');
	require(get_template_directory() . '/inc/tweaks.php');
	load_theme_textdomain('litesta', get_template_directory() . '/languages');
	add_theme_support('automatic-feed-links');
	add_theme_support('post-formats', array('aside'));
	register_nav_menus(array('primary' => __('Primary Menu', 'litesta')));
}
endif;
add_action('after_setup_theme', 'litesta_setup');

function litesta_scripts() {
	wp_enqueue_style('style', get_stylesheet_uri());

    if (is_singular()) wp_enqueue_script("comment-reply"); 

	if (is_singular() && comments_open() && get_option('thread_comments')) {
		wp_enqueue_script('comment-replay');
	}

	wp_enqueue_script('navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20120206', true);

	if (is_singular() && wp_attachment_is_image()) {
		wp_enqueue_script('keyboard-image-navigation', get_template_directory_uri(). '/js/keyboard-image-navigation.js', array('jquery'), '20120202');
	}
}
add_action ('wp_enqueue_scripts', 'litesta_scripts');

function litesta_widgets_init() {
    register_sidebar( array(
        'name' => __('Primary Widget Area', 'litesta'),
        'id' => 'sidebar-1',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h1 class="widget-title">',
        'after_title' => '</h1>',
    ) );
 
    register_sidebar(array(
        'name' => __('Secondary Widget Area', 'litesta'),
        'id' => 'sidebar-2',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h1 class="widget-title">',
        'after_title' => '</h1>',
    ) );
}
add_action( 'widgets_init', 'litesta_widgets_init' );

$defaults = array(
    'default-image'          => get_template_directory_uri() . '/images/header.jpg',
    'random-default'         => false,
    'width'                  => 200,
    'height'                 => 200,
    'flex-height'            => true,
    'flex-width'             => true,
    'default-text-color'     => '',
    'header-text'            => true,
    'uploads'                => true,
    'wp-head-callback'       => '',
    'admin-head-callback'    => '',
    'admin-preview-callback' => '',
);
add_theme_support( 'custom-header', $defaults );